Please whitelist cPanel in your adblocker so that you’re able to see our version release promotions, thanks!

The Community Forums

Interact with an entire community of cPanel & WHM users!

Upgrading mysql from 5.0 to 5.1

Discussion in 'General Discussion' started by Hitakashi, Jan 14, 2010.

  1. Hitakashi

    Hitakashi Member

    Joined:
    Jan 14, 2010
    Messages:
    9
    Likes Received:
    0
    Trophy Points:
    51
    Hey, im going to upgrade mysql from 5.0 to 5.1 but i want to know first if i upgrade and something doesn't work is there anyway to do a rollback of mysql?
     
  2. JawadArshad

    JawadArshad Well-Known Member
    PartnerNOC

    Joined:
    Apr 8, 2008
    Messages:
    459
    Likes Received:
    6
    Trophy Points:
    68
    Location:
    PK
    cPanel Access Level:
    DataCenter Provider
    I believe you can roll back, however, taking backup of all your databases would be a wise idea before proceeding with any upgrade. You can upgrade using guidelines here.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  3. Hitakashi

    Hitakashi Member

    Joined:
    Jan 14, 2010
    Messages:
    9
    Likes Received:
    0
    Trophy Points:
    51
    ok thats good but i don't see where you can rollback i only see for FTP, apache, and named. also yea probably gonna do that
     
  4. JawadArshad

    JawadArshad Well-Known Member
    PartnerNOC

    Joined:
    Apr 8, 2008
    Messages:
    459
    Likes Received:
    6
    Trophy Points:
    68
    Location:
    PK
    cPanel Access Level:
    DataCenter Provider
    To downgrade back, edit /var/cpanel/cpanel.config, change MySQL version back to 5.0. Run the command on the server as root.

    /scripts/mysqlup --force

    Backup /var/lib/mysql before downgrading.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  5. Hitakashi

    Hitakashi Member

    Joined:
    Jan 14, 2010
    Messages:
    9
    Likes Received:
    0
    Trophy Points:
    51
    Thats it worked fine but i updated phpmyadmin also with mysql but it says

    Your PHP MySQL library version 4.1.22 differs from your MySQL server version 5.1.40. This may cause unpredictable behavior.
     
Loading...

Share This Page

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice